Cyberduck Mountain Duck CLI

#3358 closed defect (worksforme)

Unable upload folder with 14300 files via SFTP (Java Out of memory problem)

Reported by: czechxteam Owned by: dkocher
Priority: high Milestone: 3.3.1
Component: core Version: 3.2.1
Severity: major Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I can't upload folder contained only 14300 files. Upload queue display:

  • 1) Get list of folder several seconds
  • 2) Transfer not finished

In console log appear:

22.7.09 12:42:03 Cyberduck[52011] ERROR: Attempt to set dropItem=(null), dropChildIndex=20 when [-1 - 0] is valid range of indices.
22.7.09 12:42:03 Cyberduck[52011] ERROR: Attempt to set dropItem=(null), dropChildIndex=20 when [-1 - 0] is valid range of indices. 
22.7.09 12:41:57 [0x0-0x9ae9ae].ch.sudo.cyberduck[52011] Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space 
22.7.09 12:42:20 [0x0-0x9ae9ae].ch.sudo.cyberduck[52011] Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space 
22.7.09 12:42:51 [0x0-0x9ae9ae].ch.sudo.cyberduck[52011] Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space 
22.7.09 12:43:42 [0x0-0x9ae9ae].ch.sudo.cyberduck[52011] Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space 
22.7.09 12:45:52 Cyberduck[52011] *** Assertion failure in -[NSProgressIndicator lockFocus], /SourceCache/AppKit/AppKit-949.46/AppKit.subproj/NSView.m:4755 
22.7.09 12:45:52 Cyberduck[52011] Exception -[NSProgressIndicator(0x1666d930) lockFocus] failed with window=0x15a9c470, windowNumber=62845, [self isHiddenOrHasHiddenAncestor]=1 raised during heart beat. Ignoring.... 
22.7.09 12:46:34 [0x0-0x9ae9ae].ch.sudo.cyberduck[52011] Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space 
22.7.09 12:57:10 [0x0-0x9ae9ae].ch.sudo.cyberduck[52011] Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space 
22.7.09 12:57:49 [0x0-0x9ae9ae].ch.sudo.cyberduck[52011] Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space 

Workaround with limitation:

Compress (zip) folder via Finder -> upload -> and uncompress (unzip)

Change History (4)

comment:1 Changed on Jul 23, 2009 at 12:52:12 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Aug 5, 2009 at 11:35:37 PM by ainstushar

Same problem here:

Exception in thread "Background" java.lang.OutOfMemoryError: Java heap space
	at java.util.HashMap.resize(HashMap.java:508)
	at java.util.HashMap.addEntry(HashMap.java:799)
	at java.util.HashMap.put(HashMap.java:431)
	at ch.cyberduck.core.Transfer.exists(Transfer.java:396)
	at ch.cyberduck.core.SyncTransfer.compare(SyncTransfer.java:326)
	at ch.cyberduck.core.SyncTransfer.isSelectable(SyncTransfer.java:212)
	at ch.cyberduck.core.Transfer.isIncluded(Transfer.java:438)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:601)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:613)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:613)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:613)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:613)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:613)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:613)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:573)
	at ch.cyberduck.core.Transfer.start(Transfer.java:671)
	at ch.cyberduck.ui.cocoa.CDTransferController$4.run(CDTransferController.java:581)
	at ch.cyberduck.ui.cocoa.CDWindowController$1.run(CDWindowController.java:77)

comment:3 Changed on Aug 6, 2009 at 4:22:27 AM by dan.bearden@…

This does not suprize me. My previous bug #2645: Out of memory during long/large transfers was reported fixed, but when I tried it again after the reported fix, it failed again. I forgot to report that.

comment:4 Changed on Nov 13, 2009 at 9:40:12 PM by dkocher

  • Milestone set to 3.4
  • Resolution set to worksforme
  • Status changed from new to closed

As of 3.3 we no longer keep references to all files in memory. This should be fixed. Please reopen if still an issue.

Note: See TracTickets for help on using tickets.
swiss made software